Regenerate File Access ID
curl --request PATCH \
--url https://app.papelship.com/api/qpapel/v1/serverside-files/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"action": "regenerate-access"
}
'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({action: 'regenerate-access'})
};
fetch('https://app.papelship.com/api/qpapel/v1/serverside-files/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.papelship.com/api/qpapel/v1/serverside-files/{id}"
payload = { "action": "regenerate-access" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.papelship.com/api/qpapel/v1/serverside-files/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'action' => 'regenerate-access'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.papelship.com/api/qpapel/v1/serverside-files/{id}"
payload := strings.NewReader("{\n \"action\": \"regenerate-access\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"success": true,
"message": "Operation completed successfully"
}{
"success": false,
"error": "Missing required field or invalid value"
}{
"success": false,
"error": "Unauthorized access. Valid API key required."
}Client Security & Anti-Cheat
Regenerate File Access ID
Rotate the download access ID token for security purposes.
PATCH
/
serverside-files
/
{id}
Regenerate File Access ID
Authorizations
BearerAuthApiKeyHeaderApiKeyHeaderLegacy
Standard HTTP Bearer token authentication header (e.g. Authorization: Bearer pk_live_...).
Path Parameters
Unique database ID of the file record.
Body
application/json
Available options:
regenerate-access Example:
"regenerate-access"